跳转到主要内容
POST
Fetch best podcasts list

请求规范

  • 方法与路径: POST /apis/v1/listennotes/fetch-a-list-of-best-podcasts-by-genre
  • 可用状态: enabled
  • 请求 URL 模板: https://api.aisa.one/apis/v1/listennotes/fetch-a-list-of-best-podcasts-by-genre
  • Runtime 事实版本: 3f699076c1baf63c05edde2629715e34586e70ee0982cdee89366394f35facf8
完整 OpenAPI 定义 有效请求与价格声明(包括认证和引用的 schema):

费用与请求规则

按用量计费;默认请求预估费用:$0.0403 USD(不是固定价格)。 声明的单位费率:每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。 公开参考值不是你的账户报价或最终扣费。对于支持 X-AISA-Cost-Mode: quote 的接口,执行前请针对完整请求获取免费报价;执行后通过响应费用元数据和 Usage Logs 核对结算费用。1 USD 等于 1,000,000 个整数 micro-USD。
  • 默认请求参考估价(USD): 0.0403
  • 声明的单位费率(USD): 1e-06
  • 计费单位: provider_credit
  • 计费依据: response_units
  • 公开参考倍率: 1.0
  • 声明的最大计数或单位数: 10000000
  • 结算证据来源: response_body

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

请求体

application/json
page
integer

Page number of those podcasts in this genre.

sort
enum<string>
默认值:recent_added_first

How do you want to sort these podcasts? If you"d like to sort by popularity, please use listen_score.

可用选项:
listen_score,
oldest_added_first,
oldest_published_first,
recent_added_first,
recent_published_first
region
string
默认值:us

Filter best podcasts by country/region. Please note that podcasts that are "best" in a country/region may not be produced in that country/region. For example, a podcast from the US may be very popular in Canada. You can get the supported country codes (e.g., us, jp, gb...) from GET /regions. If not specified, you"ll get "best podcasts" in United States.

genre_id
string

You can get the id from GET /genres. If not specified, it"ll be the overall best podcasts, which can be considered as a special genre.

language
string

Filter best podcasts by language. You can get a list of supported languages (e.g., English, Chinese, Japanese...) from GET /languages. If not specified, you"ll get "best podcasts" in any language.

safe_mode
integer
默认值:0

Whether or not to exclude podcasts with explicit language. 1 is yes, and 0 is no.

publisher_region
string

Filter best podcasts by the publisher"s country/region. This is to narrow down the results to include "best podcasts" produced in a specific country/region. You can get the supported country codes (e.g., us, jp, gb...) from GET /regions. If not specified, you"ll get "best podcasts" produced in any country/region. If you want to get a country/region"s "best podcasts" that are also produced in that country/region, then you need to specify both region and publisher_region, e.g., region=jp and publisher_region=jp.

响应

Tool result data

data
object
必填